﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using AutoMapper;
using BL.DTOs;
using DAL.Entities;
using EFInfrastructure;

namespace BL.Config
{
    public class MappingConfig
    {
        public static void ConfigureMapping(IMapperConfigurationExpression config)
        {
            config.CreateMap<Pet, PetGetDto>().ReverseMap();
            config.CreateMap<EFQueryResult<Pet, int>, QueryResultDto<PetGetDto>>().ReverseMap();
        }
    }
}
