﻿using DAL.Entities;
using Microsoft.EntityFrameworkCore;

namespace DAL
{
    public class PetsDbContext : DbContext
    {
        private string connectionString = "Data Source=(localdb)\\MSSQLLocalDB;Initial Catalog=PV179Prednaska07";

        public DbSet<Pet> Pets { get; set; }

        public PetsDbContext()
        {

        }
        public PetsDbContext(string connectionString)
        {
            this.connectionString = connectionString;
        }
        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            optionsBuilder.UseSqlServer(connectionString);
            base.OnConfiguring(optionsBuilder);
        }
        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            modelBuilder.Entity<Pet>().HasData(new Pet { Id = 1, Name = "Hedgehog", Age = 5, BirthCertificate = "AFKFTW" });
            modelBuilder.Entity<Pet>().HasData(new Pet { Id = 2, Name = "Pig", Age = 3, BirthCertificate = "58008KEK" });
            modelBuilder.Entity<Pet>().HasData(new Pet { Id = 3, Name = "Hedgehog", Age = 4, BirthCertificate = "1337XXL" });
            base.OnModelCreating(modelBuilder);
        }
    }
}
