﻿using BL.Services;
using DAL;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BL.Facades
{
    public class ZooFacade
    {
        private CustomerService customerService;
        private PetService petService;

        public List<string> GetAllCustomerNamesThatAdoptedHedgehogs()
        {
            using (var db = new PetsDbContext())
            {
                customerService = new CustomerService(db);
                petService = new PetService(db);
                var hedgehogs = petService.GetPetsWithName("Hedgehog").ToList();
                return customerService.GetAllCustomerNamesThatAdoptedAnimals(hedgehogs).ToList();
            }
        }
    }
}
