﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace DAL.Migrations
{
    public partial class Initial : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "Pets",
                columns: table => new
                {
                    Id = table.Column<int>(type: "int", nullable: false)
                        .Annotation("SqlServer:Identity", "1, 1"),
                    Name = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    BirthCertificate = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    Age = table.Column<int>(type: "int", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_Pets", x => x.Id);
                });

            migrationBuilder.InsertData(
                table: "Pets",
                columns: new[] { "Id", "Age", "BirthCertificate", "Name" },
                values: new object[] { 1, 5, "AFKFTW", "Hedgehog" });

            migrationBuilder.InsertData(
                table: "Pets",
                columns: new[] { "Id", "Age", "BirthCertificate", "Name" },
                values: new object[] { 2, 3, "58008KEK", "Pig" });

            migrationBuilder.InsertData(
                table: "Pets",
                columns: new[] { "Id", "Age", "BirthCertificate", "Name" },
                values: new object[] { 3, 4, "1337XXL", "Hedgehog" });
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "Pets");
        }
    }
}
